Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -789,9 +948,10 @@
 the B<Writable> format name.  For tags where a range of lengths is allowed,
 the minimum and maximum lengths are separated by a comma within the
-brackets.  IPTC strings are not null terminated.  When writing, ExifTool
-issues a minor warning and truncates the value if it is longer than allowed
-by the IPTC specification. Minor errors may be ignored with the
-IgnoreMinorErrors (-m) option, allowing longer values to be written, but
-beware that values like this may cause problems for some other IPTC readers.
+brackets.  When writing, ExifTool issues a minor warning and truncates the
+value if it is longer than allowed by the IPTC specification.  Minor errors
+may be ignored with the IgnoreMinorErrors (-m) option, allowing longer
+values to be written, but beware that values like this may cause problems
+for some other IPTC readers. ExifTool will happily read IPTC values of any
+length.
 
 Separate IPTC date and time tags may be written with a combined date/time
@@ -806,4 +966,11 @@
 offset at the specified date/time is used, which may be different due to
 changes in daylight savings time).
+
+Note that it is not uncommon for IPTC to be found in non-standard locations
+in JPEG and TIFF-based images.  When reading, the family 1 group name has a
+number added for non-standard IPTC ("IPTC2", "IPTC3", etc), but when writing
+only "IPTC" may be specified as the group.  To keep the IPTC consistent,
+ExifTool updates tags in all existing IPTC locations, but will create a new
+IPTC group only in the standard location.
 
   Record   Tag Name                             Writable
@@ -925,9 +1092,9 @@
      64    InterchangeColorSpace                int8u
      65    ColorSequence                        int8u
-     66    ICC_Profile                          N
-     70    ColorCalibrationMatrix               N
-     80    LookupTable                          N
+     66    ICC_Profile                          no
+     70    ColorCalibrationMatrix               no
+     80    LookupTable                          no
      84    NumIndexEntries                      int16u
-     85    ColorPalette                         N
+     85    ColorPalette                         no
      86    IPTCBitsPerSample                    int8u
      90    SampleStructure                      int8u
@@ -936,5 +1103,5 @@
     110    DataCompressionMethod                int32u
     120    QuantizationMethod                   int8u
-    125    EndPoints                            N
+    125    EndPoints                            no
     130    ExcursionTolerance                   int8u
     135    BitsPerComponent                     int8u
@@ -946,8 +1113,8 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-     10    SizeMode                             N
-     20    MaxSubfileSize                       N
-     90    ObjectSizeAnnounced                  N
-     95    MaximumObjectSize                    N
+     10    SizeMode                             no
+     20    MaxSubfileSize                       no
+     90    ObjectSizeAnnounced                  no
+     95    MaximumObjectSize                    no
 
 =head3 IPTC ObjectData Tags
@@ -955,5 +1122,5 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-     10    SubFile                              N+
+     10    SubFile                              no+
 
 =head3 IPTC PostObjectData Tags
@@ -961,5 +1128,5 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-     10    ConfirmedObjectSize                  N
+     10    ConfirmedObjectSize                  no
 
 =head3 IPTC FotoStation Tags
@@ -974,7 +1141,8 @@
 format which is being pushed by Adobe.  Information in this format can be
 embedded in many different image file types including JPG, JP2, TIFF, GIF,
-EPS, PDF, PSD, IND, PNG, DJVU, SVG, PGF, MIFF, XCF, CRW, DNG and a variety
-of proprietary TIFF-based RAW images, as well as MOV, AVI, ASF, WMV, FLV,
-SWF and MP4 videos, and WMA and audio formats supporting ID3v2 information.
+EPS, PDF, PSD, IND, INX, PNG, DJVU, SVG, PGF, MIFF, XCF, CRW, DNG and a
+variety of proprietary TIFF-based RAW images, as well as MOV, AVI, ASF, WMV,
+FLV, SWF and MP4 videos, and WMA and audio formats supporting ID3v2
+information.
 
 The XMP B<Tag ID>'s aren't listed because in most cases they are identical
@@ -989,32 +1157,45 @@
 point number but stored as two C<integer> strings separated by a '/'
 character, C<date> is a date/time string entered in the format "YYYY:mm:dd
-HH:MM:SS[.ss][+/-HH:MM]", C<boolean> is either "True" or "False",
-C<lang-alt> indicates that the tag supports alternate languages (see below),
-and C<struct> is an XMP structure.  When reading, structures are extracted
-only if the Struct (-struct) option is used.  Otherwise the corresponding
-"flattened" tags, indicated by an underline (C<_>) after the B<Writable>
-type, are extracted.  When copying information, the Struct option is in
-effect by default.  When writing, the Struct option has no effect, and both
-structured and flattened tags may be written.  See
-L<http://owl.phy.queensu.ca/~phil/exiftool/struct.html> for more details.
+HH:MM:SS[.ss][+/-HH:MM]", C<boolean> is either "True" or "False" (but "true"
+and "false" may be written as a ValueConv value for compatibility with
+non-conforming applications), C<struct> indicates a structured tag, and
+C<lang-alt> is a tag that supports alternate languages.
+
+When reading, C<struct> tags are extracted only if the Struct (-struct)
+option is used.  Otherwise the corresponding I<Flattened> tags, indicated by
+an underline (C<_>) after the B<Writable> type, are extracted.  When
+copying, by default both structured and flattened tags are available, but
+the flattened tags are considered "unsafe" so they aren't copied unless
+specified explicitly.  The Struct option may be disabled by setting Struct
+to 0 via the API or with --struct on the command line to copy only flattened
+tags, or enabled by setting Struct to 1 via the API or with -struct on the
+command line to copy only as structures.  When writing, the Struct option
+has no effect, and both structured and flattened tags may be written.  See
+L<https://exiftool.org/struct.html> for more details.
 
 Individual languages for C<lang-alt> tags are accessed by suffixing the tag
-name with a '-', followed by an RFC 3066 language code (ie. "XMP:Title-fr",
+name with a '-', followed by an RFC 3066 language code (eg. "XMP:Title-fr",
 or "Rights-en-US").  (See L<http://www.ietf.org/rfc/rfc3066.txt> for the RFC
 3066 specification.)  A C<lang-alt> tag with no language code accesses the
 "x-default" language, but causes other languages for this tag to be deleted
 when writing.  The "x-default" language code may be specified when writing
-to preserve other existing languages (ie. "XMP-dc:Description-x-default"). 
+to preserve other existing languages (eg. "XMP-dc:Description-x-default"). 
 When reading, "x-default" is not specified.
 
 The XMP tags are organized according to schema B<Namespace> in the following
-tables.  Note that a few of the longer namespace prefixes given below have
-been shortened for convenience (since the family 1 group names are derived
-from these by adding a leading "XMP-").  In cases where a tag name exists in
-more than one namespace, less common namespaces are avoided when writing.
-However, any namespace may be written by specifying a family 1 group name
-for the tag, ie) XMP-exif:Contrast or XMP-crs:Contrast.  When deciding on
-which tags to add to an image, using standard schemas such as
-L<dc|/XMP dc Tags>, L<xmp|/XMP xmp Tags> or L<iptc|/XMP iptcCore Tags> is
+tables.  The ExifTool family 1 group names are derived from the namespace
+prefixes by adding a leading "XMP-" (eg. "XMP-dc").  A few of the longer
+prefixes have been shortened (as mentioned in the documentation below) to
+avoid excessively long ExifTool group names.  The tags of any namespace may
+be deleted as a group by specifying the family 1 group name (eg.
+"-XMP-dc:all=" on the command line).  This includes namespaces which are not
+pre-defined by ExifTool.
+
+In cases where a tag name exists in more than one namespace, less common
+namespaces are avoided when writing.  However, a specific namespace may be
+written by providing a family 1 group name for the tag (eg. XMP-crs:Contrast
+or XMP-exif:Contrast).  When deciding on which tags to add to an image,
+using standard schemas such as L<dc|/XMP dc Tags>, L<xmp|/XMP xmp Tags>,
+L<iptcCore|/XMP iptcCore Tags> and L<iptcExt|/XMP iptcExt Tags> is
 recommended if possible.
 
@@ -1022,29 +1203,56 @@
 names are very similar to tag names, except they are used to identify fields
 inside structures instead of stand-alone tags.  See
-L<http://owl.phy.queensu.ca/~phil/exiftool/struct.html#Fields> for more
+L<https://exiftool.org/struct.html#Fields> for more
 details.
 
 ExifTool will extract XMP information even if it is not listed in these
-tables.  For example, the C<pdfx> namespace doesn't have a predefined set of
-tag names because it is used to store application-defined PDF information,
-but this information is extracted by ExifTool.
-
-See L<http://www.adobe.com/devnet/xmp/> for the official XMP specification.
+tables, but other tags are not writable unless added as user-defined tags in
+the ExifTool config file.  For example, the C<pdfx> namespace doesn't have a
+predefined set of tag names because it is used to store application-defined
+PDF information, so although this information will be extracted, it is only
+writable if the corresponding user-defined tags have been created.
+
+The tables below list tags from the official XMP specification (with an
+underlined B<Namespace> in the HTML version of this documentation), as well
+as extensions from various other sources.  See
+L<http://www.adobe.com/devnet/xmp/> for the official XMP specification.
 
   Namespace                                     Writable
   ---------                                     --------
+  aas                                           XMP aas
   acdsee                                        XMP acdsee
   album                                         XMP Album
+  apple-fi                                      XMP apple_fi
   aux                                           XMP aux
   cc                                            XMP cc
   cell                                          XMP cell
+  crd                                           XMP crd
+  creatorAtom                                   XMP creatorAtom
   crs                                           XMP crs
   dc                                            XMP dc
+  Device                                        XMP Device
   dex                                           XMP dex
   DICOM                                         XMP DICOM
   digiKam                                       XMP digiKam
+  drone-dji                                     DJI XMP
+  dwc                                           DarwinCore
   exif                                          XMP exif
+  exifEX                                        XMP exifEX
+  expressionmedia                               XMP ExpressionMedia
+  extensis                                      XMP extensis
+  fpv                                           XMP fpv
+  GAudio                                        XMP GAudio
+  GCamera                                       XMP GCamera
+  GCreations                                    XMP GCreations
+  GDepth                                        XMP GDepth
+  getty                                         XMP GettyImages
+  GFocus                                        XMP GFocus
+  GImage                                        XMP GImage
+  GPano                                         XMP GPano
+  GSpherical                                    XMP GSpherical
+  ics                                           XMP ics
   iptcCore                                      XMP iptcCore
   iptcExt                                       XMP iptcExt
+  LImage                                        XMP LImage
   lr                                            XMP Lightroom
   mediapro                                      XMP MediaPro
@@ -1052,7 +1260,7 @@
   MP                                            Microsoft MP
   MP1                                           Microsoft MP1
-  mwg-coll                                      XMP mwg_coll
-  mwg-kw                                        XMP mwg_kw
-  mwg-rs                                        XMP mwg_rs
+  mwg-coll                                      MWG Collections
+  mwg-kw                                        MWG Keywords
+  mwg-rs                                        MWG Regions
   pdf                                           XMP pdf
   pdfx                                          XMP pdfx
@@ -1060,7 +1268,9 @@
   photoshop                                     XMP photoshop
   PixelLive                                     XMP PixelLive
-  plus                                          XMP plus
+  plus                                          PLUS XMP
+  pmi                                           XMP pmi
   prism                                         XMP prism
   prl                                           XMP prl
+  prm                                           XMP prm
   pur                                           XMP pur
   rdf                                           XMP rdf
@@ -1077,12 +1287,51 @@
   xmpTPg                                        XMP xmpTPg
 
+=head3 XMP aas Tags
+
+Apple Adjustment Settings used by iPhone/iPad.
+
+These tags belong to the ExifTool XMP-aas family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AffineA                                       real
+  AffineB                                       real
+  AffineC                                       real
+  AffineD                                       real
+  AffineX                                       real
+  AffineY                                       real
+  CropH                                         integer/
+  CropW                                         integer/
+  CropX                                         integer/
+  CropY                                         integer/
+  Curve0x                                       real
+  Curve0y                                       real
+  Curve1x                                       real
+  Curve1y                                       real
+  Curve2x                                       real
+  Curve2y                                       real
+  Curve3x                                       real
+  Curve3y                                       real
+  Curve4x                                       real
+  Curve4y                                       real
+  FaceBalanceOrigI                              real
+  FaceBalanceOrigQ                              real
+  FaceBalanceStrength                           real
+  FaceBalanceWarmth                             real
+  Highlights                                    real/
+  Shadows                                       real/
+  Vibrance                                      real/
+
 =head3 XMP acdsee Tags
 
-ACD Systems ACDSee schema tags.
+ACD Systems ACDSee namespace tags.
 
 (A note to software developers: Re-inventing your own private tags instead
-of using the equivalent tags in standard XMP schemas defeats one of the most
-valuable features of metadata: interoperability.  Your applications mumble
-to themselves instead of speaking out for the rest of the world to hear.)
+of using the equivalent tags in standard XMP namespaces defeats one of the
+most valuable features of metadata: interoperability.  Your applications
+mumble to themselves instead of speaking out for the rest of the world to
+hear.)
+
+These tags belong to the ExifTool XMP-acdsee family 1 group.
 
   Tag Name                                      Writable
@@ -1091,14 +1340,26 @@
   Caption                                       string/
   Categories                                    string/
-  Datetime                                      date/
+  Collections                                   string/
+  DateTime                                      date/
+  DPP                                           lang-alt/
+  EditStatus                                    string/
+  FixtureIdentifier                             string/
   Keywords                                      string/+
   Notes                                         string/
+  ObjectCycle                                   string/
+  OriginatingProgram                            string/
   Rating                                        real/
-  RPP                                           lang-alt
+  Rawrppused                                    boolean/
+  ReleaseDate                                   string/
+  ReleaseTime                                   string/
+  RPP                                           lang-alt/
+  Snapshots                                     string/+
   Tagged                                        boolean/
 
 =head3 XMP Album Tags
 
-Adobe Album schema tags.
+Adobe Album namespace tags.
+
+These tags belong to the ExifTool XMP-album family 1 group.
 
   Tag Name                                      Writable
@@ -1106,24 +1367,55 @@
   Notes                                         string
 
+=head3 XMP apple_fi Tags
+
+Face information tags written by the Apple iPhone 5 inside the mwg-rs
+RegionExtensions.
+
+These tags belong to the ExifTool XMP-apple-fi family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AngleInfoRoll                                 integer
+  AngleInfoYaw                                  integer
+  ConfidenceLevel                               integer
+  FaceID                                        integer
+  TimeStamp                                     integer
+
 =head3 XMP aux Tags
 
-Photoshop Auxiliary schema tags.
+Adobe-defined auxiliary EXIF tags.  This namespace existed in the XMP
+specification until it was dropped in 2012, presumably due to the
+introduction of the EXIF 2.3 for XMP specification and the exifEX namespace
+at this time.  For this reason, tags below with equivalents in the
+L<exifEX namespace|/XMP exifEX Tags> are avoided when writing.
+
+These tags belong to the ExifTool XMP-aux family 1 group.
 
   Tag Name                                      Writable
   --------                                      --------
   ApproximateFocusDistance                      rational
+  DistortionCorrectionAlreadyApplied            boolean
   Firmware                                      string
   FlashCompensation                             rational
   ImageNumber                                   string
+  IsMergedHDR                                   boolean
+  IsMergedPanorama                              boolean
+  LateralChromaticAberrationCorrectionAlreadyApplied boolean
   Lens                                          string
+  LensDistortInfo                               string
   LensID                                        string
-  LensInfo                                      string
-  OwnerName                                     string
-  SerialNumber                                  string
+  LensInfo                                      string/
+  LensSerialNumber                              string/
+  OwnerName                                     string/
+  SerialNumber                                  string/
+  VignetteCorrectionAlreadyApplied              boolean
 
 =head3 XMP cc Tags
 
-Creative Commons schema tags.  (see
-L<http://creativecommons.org/technology/xmp>)
+Creative Commons namespace tags.  Note that the CC specification for XMP is
+non-existent, so ExifTool must make some assumptions about the format of the
+specific properties in XMP (see L<http://creativecommons.org/ns>).
+
+These tags belong to the ExifTool XMP-cc family 1 group.
 
   Tag Name                                      Writable
@@ -1131,10 +1423,19 @@
   AttributionName                               string
   AttributionURL                                string
+  DeprecatedOn                                  date
+  Jurisdiction                                  string
+  LegalCode                                     string
   License                                       string
   MorePermissions                               string
+  Permits                                       string+
+  Prohibits                                     string+
+  Requires                                      string+
+  UseGuidelines                                 string
 
 =head3 XMP cell Tags
 
 Location tags written by some Sony Ericsson phones.
+
+These tags belong to the ExifTool XMP-cell family 1 group.
 
   Tag Name                                      Writable
